summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/dss-clone-nogit4
-rwxr-xr-xtests/tests/dss-divert7
2 files changed, 11 insertions, 0 deletions
diff --git a/tests/tests/dss-clone-nogit b/tests/tests/dss-clone-nogit
new file mode 100755
index 0000000..915f9d3
--- /dev/null
+++ b/tests/tests/dss-clone-nogit
@@ -0,0 +1,4 @@
+#!/bin/bash
+set -e
+. tests/lib
+t-alt-test
diff --git a/tests/tests/dss-divert b/tests/tests/dss-divert
new file mode 100755
index 0000000..60ff085
--- /dev/null
+++ b/tests/tests/dss-divert
@@ -0,0 +1,7 @@
+#!/bin/bash
+set -e
+. tests/lib
+t-dss
+rm $dss_dispatch/repos
+echo '* drs' >>$dss_dispatch/diverts
+t-chain-test fetch-somegit-notlast